 const path = require('path');
 const Cache = require('./index.js')

 const cache = new Cache({
   location: path.join(__dirname, 'test_db'),
   expiry: 1000,
   retrieve: (key) => {
     console.log('FETCHING!')
     return `${key}'s value!`
   }
 })

 cache.get('Neat!').catch(console.log)
 cache.get('Cool!').catch(console.log)
 cache.get('Best!').catch(console.log)
 cache.get('Dope!').catch(console.log)

 setTimeout(() => {
   cache.get('Neat!').then(console.log).catch(console.log)
   cache.get('Cool!').then(console.log).catch(console.log)
   cache.get('Best!').then(console.log).catch(console.log)
   cache.get('Dope!').then(console.log).catch(console.log)
   cache.createValueStream().on('data', () => console.log('Woo'))
   cache.createMetaStream().on('data', console.log)
 }, 400)